@font-face {
    font-family: 'GreenpeaceSans';
    src: url('https://www.greenpeace.org/static/planet4-assets/GreenpeaceSans.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

:root {
    --font-heading: 'GreenpeaceSans', "Helvetica Neue", sans-serif;
    --font-heading-weight: normal;
    --font-heading-style: normal;

    --font-sans: 'Source Sans 3', "Helvetica Neue", sans-serif;
    --font-sans-weight: 400;
    --font-sans-style: normal;
    
    --color-white: #FFFFFF;
    --color-black: #333333;
    /* --color-green: #66CC00; */
    --color-green: #01a101;
    --color-light-green: #dbfdcb;
    --color-lighter-green: #f0fdf4;
    /* --color-green-hover: #49961A; */
    --color-green-hover: #018001;
    --color-dark-green: #2B4D1A;
    --color-darkest-green: #132A09;
    --color-shadow: #00000026;
    --color-shadow-green: #5ab202;

    --color-yellow: #FED300;
    --color-light-yellow: #FFF3C4;
    --color-dark-yellow: #FECE00;
    --color-darkest-yellow: #FEC700;
    --color-yellow-hover: var(--color-dark-yellow);

    --color-orange: #FF8000;
    --color-red: #FF0000;
    --color-text-dark: #1C1C1C;
    --color-text-light: #FFFFFF;
    --color-gray: #676767;
    --color-dark-gray: #444444;
    --color-light-gray: #7d7d7d;
    --color-lighter-gray: #EEE;
    --color-lighter-gray-hover: #EDEDED;
    --color-input-placeholder: var(--color-light-gray);
    --color-input-border: var(--color-gray);
    --color-input-text: var(--color-text-dark);
    --input-font-size: 1rem;
    --input-padding: .75rem;
    --input-border-size: 1px;
    --input-border-radius: 8px;
    --button-border-radius: 8px;
}

@keyframes pulse {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.5);
    }

    100% {
        transform: scale(1);
    }
}

html,
body {
    font-family: var(--font-sans);
    font-size: 16px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--font-heading);
    font-weight: var(--font-heading-weight);
    /* TODO: Font weight is not working as only "normal" weight is imported. See: Line 15 */
}

.font-heading {
    font-family: var(--font-heading);
    font-weight: normal !important;
}

.font-sans {
    font-family: var(--font-sans);
}

.bg-highlight {
    background-color: var(--color-light-yellow) !important;
}

.form-label {
    font-size: .875rem;
    font-weight: 600;
    letter-spacing: -0.02em;
    margin: 0 !important;
}

fieldset {
    position: relative;
    border: none;
    padding: 0;
    margin: 0;
    width: 100%;
}

fieldset > label {
    font-size: .75rem !important;
    line-height: 1em;
    font-weight: 500 !important;
    letter-spacing: -0.02em;
    color: var(--color-input-placeholder);
    margin: 0 !important;
    position: absolute;
    top: 0.75em;
    left: calc(var(--input-padding) + var(--input-border-size));

    width: calc(100% - 2em);
    overflow-x: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    pointer-events: none;
    opacity: 0;
    transition: all 0.2s ease-in-out;
    transform: translateY(100%);
}

fieldset > .bi {
    position: absolute;
    font-size: calc(var(--input-font-size) * 1.25);
    line-height: calc(var(--input-font-size) * 1.4);
    height: calc(var(--input-font-size) * 1.4);
    top: calc(var(--input-padding) + var(--input-border-size));
    left: var(--input-padding);
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--color-input-border);
}

fieldset > .bi + label {
    left: calc((var(--input-padding) * 2) + var(--input-border-size) + var(--input-font-size));
}

fieldset > .bi + label + .form-control {
    padding-left: calc((var(--input-padding) * 2) + var(--input-font-size));
}

fieldset:has(input:focus) > .bi {
    color: var(--color-text-dark);
}

.form-control,
.form-select {
    color: var(--color-input-text);
    font-size: var(--input-font-size);
    letter-spacing: normal;
    line-height: calc(var(--input-font-size) * 1.4);
    padding: var(--input-padding);
    border-width: var(--input-border-size);
    border-radius: var(--input-border-radius) !important;
    border-color: var(--color-input-border) !important;
    transition: padding 0.2s ease-in-out;
}

.form-check-input {
    width: 1rem;
    height: 1rem;
    border-radius: 0.25rem !important;
    border-color: var(--color-input-border) !important;
}

.form-check-label {
    font-size: 14px;
    line-height: 1.4em;
}

.invalid-feedback:before {
    content: " ";
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-position: center;
    color: var(--color-white);
    border-radius: 100%;
    margin-right: 4px;
    display: inline-block;
    width: 1rem;
    height: 1rem;
    vertical-align: middle;
    margin-top: -1px;
}

.form-control::placeholder {
    color: var(--color-input-placeholder) !important;
}

fieldset:has(.form-control:not(:placeholder-shown)) > label {
    opacity: 1;
    transform: translateY(0%);
}

fieldset > label + .form-control:not(:placeholder-shown) {
    padding-top: calc(var(--input-padding) + (var(--input-padding) / 2));
    padding-bottom: calc(var(--input-padding) - (var(--input-padding) / 2));
}

.form-control.is-invalid {
    border-color: var(--bs-danger-text) !important;
    outline: 1px solid var(--bs-danger-text) !important;
}

.form-control:not(:placeholder-shown):not(.is-invalid) {
    border-color: var(--color-green) !important;
}

.input-group {
    display: flex;
    align-items: stretch;
    justify-content: space-between;
    width: 100%;
    flex-wrap: nowrap;
    gap: 0;
}

.input-group > span + fieldset {
    flex: 1;
}

.input-group > *:first-child:is(span) {
    border-radius: var(--input-border-radius) 0 0 var(--input-border-radius) !important;
}

.input-group > *:last-child:is(span) {
    border-radius: 0 var(--input-border-radius) var(--input-border-radius) 0 !important;
}

.input-group > span.input-group-text {
    border-color: var(--color-input-border);
}

.input-group > .input-group-text + fieldset > input {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.input-group > fieldset:has(+ span) > input {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.input-group.amount-input {
    color: var(--color-input-text) !important;
}

.input-group.amount-input select {
    appearance: none;
    position: absolute;
    right: var(--input-padding);
    top: 50%;
    transform: translateY(-50%);
    font-size: 1rem;
    font-weight: 500;
    z-index: 1;
    background-color: var(--color-lighter-gray) !important;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 0.5rem center;
    background-size: .75rem;
    padding: .4rem 1.75rem .4rem .75rem ;
    border-radius: var(--input-border-radius) !important;
    border: none !important;
    transition: all 0.2s ease-in-out;
    outline: 1px solid transparent !important;
    cursor: pointer;
}

.input-group.amount-input select:hover,
.input-group.amount-input select:focus {
    background-color: var(--color-lighter-gray-hover) !important;
    outline-color: rgba(0, 0, 0, 0.2) !important;
}

.input-group.amount-input select > option {
    background-color: var(--color-white) !important;
    padding: .5rem 1.75rem .5rem .75rem !important;
    text-align: left !important;
    border: none !important;
    box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.2) !important;
    border-radius: var(--input-border-radius) !important;
}

/* Wrapper div stil */
.amount-input-wrapper {
    position: relative;
}

.amount-input-wrapper::before {
    content: attr(data-currency-symbol);
    position: absolute;
    left: calc(var(--input-padding) * 1.5);
    top: 50%;
    transform: translateY(-50%);
    font-family: var(--font-heading);
    font-weight: normal;
    font-size: calc(var(--input-font-size) * 1.2);
    line-height: calc(var(--input-font-size) * 1.4);
    z-index: 1;
    pointer-events: none;
    color: inherit;
}

input#amount-input {
    --font-size: calc(var(--input-font-size) * 1.5);    
    --line-height: calc(var(--font-size) * 1.4);
    --padding-inline-start: calc(var(--input-padding) * 1.5 + 1rem) !important;
    font-family: var(--font-heading) !important;
    font-weight: normal !important;
    font-size: var(--font-size) !important;
    line-height: var(--line-height) !important;
    padding-inline-start: var(--padding-inline-start) !important;
    text-align: left !important;
    letter-spacing: 0.02em !important;
    color: inherit !important;
}

input#amount-input::placeholder {
    color: var(--color-input-placeholder) !important;
    transition: color 0.2s ease-in-out !important;
}

input#amount-input:focus::placeholder,
input#amount-input:not(:placeholder-shown)::placeholder {
    color: transparent !important;
}

input#amount-input:not(:placeholder-shown) {
    outline: 1px solid var(--color-green) !important;
}

/* Credit Card Input */
input#card-number::after {
    content: "•";
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
    color: var(--color-input-text);
    margin-left: 4px;
    margin-right: 4px;
    font-size: 1.25rem;
    line-height: 1em;
}


/* Donation Type */

.amountWrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    justify-content: center;
    margin-bottom: 1rem;
}

.amount-btn {
    padding: var(--input-padding);
    display: flex;
    flex-direction: row-reverse;
    flex: 1;
    align-items: center;
    justify-content: center;
    gap: 2px;
    white-space: nowrap;
    background-color: var(--color-white);
    border: 1px solid var(--color-gray);
    border-radius: var(--button-border-radius);
    color: var(--color-text-dark);
    cursor: default !important;
}

.amount-btn[data-currency-symbol="₺"] {
    flex-direction: row;
}

.amount-btn:hover {
    background-color: var(--color-lighter-gray);
    border-color: var(--color-gray);
}

.amount-btn.active,
.amount-btn:active {
    background-color: var(--color-light-green) !important;
    border-color: var(--color-green) !important;
    color: var(--color-text-dark) !important;
}

.veya-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    /* Space between text and lines */
}

.veya-wrapper::before,
.veya-wrapper::after {
    content: "";
    flex: 1;
    border-top: 1px solid #000000;
    opacity: 0.1;
    margin: 0 5px;
    /* Adjust the spacing around the lines */
}

.center-content {
    position: relative;
    background-image: url('https://www.greenpeace.org/static/planet4-canada-stateless/2018/06/GP0STS09O.jpg');
    background-size: cover;
    background-position: center;
    color: white;
    text-align: center;
    z-index: 0;
}

.center-content::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    z-index: -1;
}

.center-content > * {
    position: relative;
    z-index: 1;
}

.header-logo img {
    height: 30px;
    margin: 10px 0px;
}

.footer {
    font-size: 14px;
    font-weight: 400;
    background: var(--color-dark-green);
    color: white;
    height: 82px;
    align-content: center;
}

.footer a {
    text-decoration: underline;
    color: white;
}

.progress-bar-container {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    max-width: 240px;
}

.progress-bar-container .progress-step {
    display: flex;
    align-items: center;
    justify-content: center;
}

.progress-step .circle {
    width: 21px;
    height: 21px;
    border-radius: 100%;
    border: 1px solid var(--color-gray);
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: transparent;
    color: var(--color-gray);
}

.progress-step .circle i {
    line-height: 1em;
    width: 1em;
    height: 1em;
    display: none;
}

.progress-step.active .circle {
    background: var(--color-green);
    border: 2px solid var(--color-green);
    box-shadow: inset 0px 0px 0px 3px var(--color-lighter-gray);
}

.progress-step.completed .circle {
    background: var(--color-green);
    border: 1px solid var(--color-green);
}

.progress-step.completed .circle i {
    display: block;
}

.progress-bar-container .progress-line {
    flex-grow: 1;
    height: 1px;
    background-color: var(--color-gray);
}

.progress-step.completed + .progress-line {
    background-color: var(--color-green);
    height: 2px;
}

.progress-line.active {
    background-color: var(--color-green);
}

.progress-line.completed {
    background-color: var(--color-green);
}

.flashText {
    padding-left: 60px;
    max-width: 800px;
}

#step-content {
    padding: 15px 30px 30px 30px !important;
}

.card {
    margin-top: 20px;
    margin-bottom: 20px;
    max-width: 480px;
}

.cardHeader {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
    background-color: var(--color-lighter-gray);
    border-radius: 8px 8px 0 0;
    padding: 20px;
    text-align: center;
}

.card-title {
    font-family: var(--font-heading);
    font-weight: var(--font-heading-weight);
    font-size: 1.25rem;
    line-height: 1.4em;
    text-align: center;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
    color: var(--color-text-dark);
}

#description-text {
    margin-top: 20px !important;
    margin-bottom: 20px !important;
}

.card-body {
    text-align: left;
    color: var(--color-text-dark);
}

.secure-notice {
    color: var(--color-gray) !important;
    font-size: 10px;
}

.donation-type-container {
    border-bottom: 1px solid var(--color-gray);
    display: flex;
    gap: 0px;
}

button.donationType {
    flex: 1;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 0 !important;
    height: 3em;
    border-bottom: 3px solid transparent !important;
    border-radius: 0;
    color: var(--color-gray);
    margin-bottom: -1px;
    font-size: 16px;
}

button.donationType:hover {
    background-color: rgba(0, 0, 0, 0.02);
    color: var(--color-text-dark);
}

button.donationType.active {
    color: var(--color-text-dark);
    border-color: var(--color-green) !important;
}

button.donationType .icon-container {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 24px;
    height: 24px;
}

button.donationType .icon-container i {
    position: absolute;
    display: block;
    transform: scale(1);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    transition: transform 0.5s cubic-bezier(.39, 0, .01, 2.5);
}

button.donationType:not(.active) .icon-container i.bi-heart-fill {
    opacity: 0;
    transform: scale(0);
}

button.donationType.active .icon-container i.bi-heart-fill {
    opacity: 1;
    transform: scale(1.1);
}

.btn {
    font-size: var(--input-font-size);
    font-family: var(--font-heading) !important;
    font-weight: var(--font-heading-weight) !important;
    font-style: var(--font-heading-style) !important;
}

.btn-navigate {
    width: 2rem;
    height: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--color-text-dark);
    border-radius: var(--button-border-radius);
    transition: background-color 0.2s ease-in-out;
}

.btn-navigate .bi {
    font-size: 1.25rem;
    line-height: 1em;
}

.btn-navigate:hover {
    background-color:rgba(0, 0, 0, 0.1);
    color: var(--color-text-dark);
}

.donation-form:has(#step-1:not(.d-none)) .btn-navigate {
    display: none;
}

.btn-submit {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    background-color: var(--color-green);
    color: var(--color-white);
    border: 1px solid var(--color-green-hover);
    border-radius: var(--button-border-radius);
    box-shadow: 0 4px 0 var(--color-green-hover);
    font-weight: normal;
    font-size: 1.125rem;
    padding: .75em 1.5em;
    text-transform: uppercase;
    letter-spacing: 0.05em;
}

.btn-submit:hover {
    background-color: var(--color-green-hover);
    color: var(--color-white);
    box-shadow: 0 4px 0 var(--color-dark-green);
}

.btn-submit > .bi {
    --bs-text-opacity: 0.5;
    display: inline-block;
    transform: scale(1);
    transition: transform 0.3s ease-in-out;
}

.btn-submit:hover > .bi {
    --bs-text-opacity: 1;
}

.btn-submit:hover > .bi.bi-heart-fill {
    --bs-text-opacity: 1;
    /* color: rgba(var(--bs-danger-rgb), var(--bs-text-opacity)) !important; */
    animation: pulse .7s infinite;
}

.btn-outline-success {
    border-color: var(--color-green);
    color: var(--color-text-dark);
}

.btn-outline-success.active,
.btn-outline-success:hover,
.btn-outline-success:active {
    border-color: var(--color-green);
    border: 2px solid var(--color-green);
    background-color: transparent;
    color: var(--color-text-dark);
}

.secure-notice {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
    font-size: 12px;
    color: var(--color-light-gray);
}

.secure-notice .bi {
    font-size: 18px;
    margin-right: 8px;
    /* color: #28a745; */
}

h1 {
    font-size: 52px;
    line-height: 78.26px;
    letter-spacing: -0.03em;
    text-align: left;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
}

.centerText {
    font-size: 16px;
    font-weight: 400;
    line-height: 22.4px;
    text-align: left;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
}

.bg-warning {
    background: #FFE103 !important;
    font-family: var(--font-heading);
    font-weight: normal !important;
}

.donation-preview {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    /* padding: 20px 30px;
    padding-bottom: 10px;
    margin: -20px -30px; */
    margin-bottom: 0;
}

.donation-summary {
    border-top: 1px solid var(--color-light-gray);
    border-top-style: dashed;
}

.donation-type-display {
    font-size: 1rem;
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
    width: 100%;
    padding-top: .5rem;
}

.donation-type-display > * {
    display: block;
}

.donation-type-title {
    flex-grow: 1;
    display: block;
    color: var(--color-text-dark);
    margin-right: 10px;
}

.donation-type-amount {
    font-size: 18px;
    color: var(--color-text-dark);
}

.donation-type-change {
    display: none; /* TODO: Remove this */
    font-size: .75rem;
    padding-top: .25rem;
}

.donation-type-change a {
    color: var(--color-text-dark);
    text-decoration: underline;
}

.donation-type-change a:hover {
    color: var(--color-text-dark);
    text-decoration: none;
}


a,
a:visited {
    color: var(--color-text-dark);
}

@media (max-width: 999px) {
    .mainContent {
        max-width: 100%;
    }

    .mainContent .row {
        width: 100%;
        margin: 0;
    }

    .flashText {
        margin: 0;
        padding-left: 15px;
    }
}

@media (max-width: 767px) {
    .center-content {
        background: none;
        display: block !important;
        flex-grow: 0 !important;
    }

    .flashText {
        position: relative;
        padding: 0 0 30px 0;
        max-width: 800px;
        background-image: url('https://www.greenpeace.org/static/planet4-canada-stateless/2018/06/GP0STS09O.jpg');
        background-size: cover;
        background-position: center;
    }

    .flashText::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.4);
        /* Dark overlay */
        z-index: 0;
    }

    .flashText > * {
        position: relative;
        z-index: 1;
    }

    .flashText h1 {
        text-align: center;
        font-size: 36px;
        line-height: 43px;
        margin-top: 40px;
    }

    .flashText p {
        padding: 0 24px;
        text-align: center !important;
    }

    .rightPane {
        padding: 0;
    }

    .card {
        width: 100%;
        max-width: 100%;
        margin: 0;
        border-radius: 0 !important;
        border: none;
    }
}

@media screen and (min-width: 768px) {
    .navbar {
        padding: 0;
        line-height: 3rem;

        .dropdown-menu {
            line-height: initial;
        }
    }

    .dropdown {
        .dropdown-menu {
            display: none;
        }
    }

    .dropdown,
    .dropend {
        &:hover {
            & > .dropdown-menu {
                display: block;
            }
        }
    }

    .dropdown {
        &:hover {
            & > .dropdown-menu {
                margin-top: -.5rem;
            }
        }
    }

    .dropend {
        &:hover {
            & > .dropdown-menu {
                position: absolute;
                top: -.5rem;
                left: 100%;
                margin-left: 0;
            }
        }
    }
}

.navbar-toggler {
    border: none;
}

#cookie-banner {
    font-family: "Source Sans Pro", Arial, sans-serif;
    display: none;
    position: fixed;
    bottom: 20px;
    right: 20px;
    background: #fff;
    border-radius: 8px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    padding: 24px 32px;
    max-width: 90%;
    width: 400px;
    z-index: 1000;
    box-shadow: 0px 1px 3px 0px #0000004D, 0px 4px 8px 3px #00000026;
}

.cookie-text {
    font-size: 14px;
    font-weight: 400;
    line-height: 23px;
    text-align: left;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
    margin: 0 0 12px;
    color: #333;
}

.cookie-link {
    text-decoration-line: underline;
    text-decoration-style: solid;
    color: #0056b3;
    cursor: pointer;
}

.cookie-button {
    background-color: #FFE103;
    color: #333;
    border: none;
    border-radius: var(--button-border-radius);
    padding: 10px 20px;
    font-size: 14px;
    font-weight: bold;
    cursor: pointer;
    width: 100%;
}

.cookie-button:hover {
    background-color: var(--color-yellow-hover);
}

input:-webkit-autofill {
    animation-name: autofill-detect;
    animation-duration: 0.1s;
}

@keyframes autofill-detect {
    from {
        opacity: 1;
    }

    to {
        opacity: 1;
    }
}